PostgreSQL 7.1.3 Documentation
Prev |  | Next

# pg_exec

## Name

pg_exec -- send a query string to the backend

## Synopsis

    pg_exec dbHandle queryString

### Inputs

`dbHandle`

  Specifies a valid database handle.

`queryString`

  Specifies a valid SQL query.

### Outputs

`resultHandle`

  A Tcl error will be returned if Pgtcl was unable to obtain a backend response. Otherwise, a query result object is created and a handle for it is returned. This handle can be passed to `pg_result` to obtain the results of the query.

## Description

`pg_exec` submits a query to the Postgres backend and returns a result. Query result handles start with the connection handle and add a period and a result number.

Note that lack of a Tcl error is not proof that the query succeeded! An error message returned by the backend will be processed as a query result with failure status, not by generating a Tcl error in pg_exec.

Prev | Home | Next
pg_conndefaults | Up | pg_result